This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1280367 - SELinux is preventing abrt-hook-ccpp from 'read' accesses on the file /usr/bin/sogou-qimpanel.
SELinux is preventing abrt-hook-ccpp from 'read' accesses on the file /usr/bi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e5c7e6d8b021c89684f55b19f90...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 10:03 EST by Aleaho Yang
Modified: 2015-11-20 06:15 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-154.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 06:15:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleaho Yang 2015-11-11 10:03:53 EST
Description of problem:
SELinux is preventing abrt-hook-ccpp from 'read' accesses on the file /usr/bin/sogou-qimpanel.

*****  Plugin catchall (100. confidence) suggests   **************************

If 您确定应默认允许 abrt-hook-ccpp read 访问 sogou-qimpanel file。
Then 您应该将这个情况作为 bug 报告。
您可以生成本地策略模块允许这个访问。
Do
请执行以下命令此时允许这个访问:
# grep abrt-hook-ccpp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:object_r:sogou_exec_t:s0
Target Objects                /usr/bin/sogou-qimpanel [ file ]
Source                        abrt-hook-ccpp
Source Path                   abrt-hook-ccpp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           sogoupinyin-2.0.0.0066-2.fc23.x86_64
Policy RPM                    selinux-policy-3.13.1-152.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.2.5-300.fc23.x86_64 #1 SMP Tue
                              Oct 27 04:29:56 UTC 2015 x86_64 x86_64
Alert Count                   2
First Seen                    2015-11-11 22:58:27 CST
Last Seen                     2015-11-11 22:58:51 CST
Local ID                      77012232-5c3a-4ded-a2d1-b7fed1d1ec9d

Raw Audit Messages
type=AVC msg=audit(1447253931.361:3294): avc:  denied  { read } for  pid=3561 comm="abrt-hook-ccpp" name="sogou-qimpanel" dev="sda9" ino=928472 scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:object_r:sogou_exec_t:s0 tclass=file permissive=1


Hash: abrt-hook-ccpp,abrt_dump_oops_t,sogou_exec_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-152.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2015-11-20 06:15:34 EST
Could you please update your SELinux policy packages? Thank you.

Note You need to log in before you can comment on or make changes to this bug.